Bug 92961 - [EFL] Add support for localization to the Web Inspector
Summary: [EFL] Add support for localization to the Web Inspector
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-02 02:11 PDT by Seokju Kwon
Modified: 2012-08-28 22:54 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.73 KB, patch)
2012-08-02 03:31 PDT, Seokju Kwon
no flags Details | Formatted Diff | Diff
Patch (2.70 KB, patch)
2012-08-27 21:51 PDT, Seokju Kwon
no flags Details | Formatted Diff | Diff
Patch (2.72 KB, patch)
2012-08-27 23:55 PDT, Seokju Kwon
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Seokju Kwon 2012-08-02 02:11:25 PDT
Implement InspectorFrontendClientEfl::localizedStringsURL() to return the URL of the localizedStrings.js
Comment 1 Seokju Kwon 2012-08-02 03:31:06 PDT
Created attachment 156025 [details]
Patch
Comment 2 Gyuyoung Kim 2012-08-27 18:59:57 PDT
Comment on attachment 156025 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=156025&action=review

> Source/WebKit/efl/WebCoreSupport/InspectorClientEfl.cpp:96
> +    String inspectorUri = inspectorFilesPath() + String("/inspector.html");

It is enough to use "/inspector.html"

> Source/WebKit/efl/WebCoreSupport/InspectorClientEfl.cpp:143
> +    String inspectorFilesPath = String("file://") + WEB_INSPECTOR_INSTALL_DIR;

ditto.

> Source/WebKit/efl/WebCoreSupport/InspectorClientEfl.cpp:145
> +        inspectorFilesPath = String("file://") + WEB_INSPECTOR_DIR;

ditto.

> Source/WebKit/efl/WebCoreSupport/InspectorClientEfl.cpp:171
> +    return m_inspectorClient->inspectorFilesPath() + String("/localizedStrings.js");

ditto.
Comment 3 Seokju Kwon 2012-08-27 21:49:22 PDT
(In reply to comment #2)
> (From update of attachment 156025 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=156025&action=review
> 
> > Source/WebKit/efl/WebCoreSupport/InspectorClientEfl.cpp:96
> > +    String inspectorUri = inspectorFilesPath() + String("/inspector.html");
> 
> It is enough to use "/inspector.html"
> 
> > Source/WebKit/efl/WebCoreSupport/InspectorClientEfl.cpp:143
> > +    String inspectorFilesPath = String("file://") + WEB_INSPECTOR_INSTALL_DIR;
> 
> ditto.
> 
> > Source/WebKit/efl/WebCoreSupport/InspectorClientEfl.cpp:145
> > +        inspectorFilesPath = String("file://") + WEB_INSPECTOR_DIR;
> 
> ditto.
> 
> > Source/WebKit/efl/WebCoreSupport/InspectorClientEfl.cpp:171
> > +    return m_inspectorClient->inspectorFilesPath() + String("/localizedStrings.js");
> 
> ditto.

Ok. I will remove String().
Comment 4 Seokju Kwon 2012-08-27 21:51:07 PDT
Created attachment 160896 [details]
Patch
Comment 5 Gyuyoung Kim 2012-08-27 22:16:46 PDT
Comment on attachment 160896 [details]
Patch

Attachment 160896 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/13652080
Comment 6 Gyuyoung Kim 2012-08-27 22:41:25 PDT
Comment on attachment 160896 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=160896&action=review

> Source/WebKit/efl/WebCoreSupport/InspectorClientEfl.cpp:143
> +    String inspectorFilesPath = "file://" + WEB_INSPECTOR_INSTALL_DIR;

In this case, we can't use above implicit casting. Please use String(WEB_XXX) instead of makeString(). makeString() was deprecated.

> Source/WebKit/efl/WebCoreSupport/InspectorClientEfl.cpp:145
> +        inspectorFilesPath = "file://" + WEB_INSPECTOR_DIR;

ditto.
Comment 7 Seokju Kwon 2012-08-27 23:55:46 PDT
Created attachment 160916 [details]
Patch
Comment 8 Gyuyoung Kim 2012-08-28 22:50:13 PDT
Comment on attachment 160916 [details]
Patch

LGTM
Comment 9 WebKit Review Bot 2012-08-28 22:54:28 PDT
Comment on attachment 160916 [details]
Patch

Clearing flags on attachment: 160916

Committed r126960: <http://trac.webkit.org/changeset/126960>
Comment 10 WebKit Review Bot 2012-08-28 22:54:32 PDT
All reviewed patches have been landed.  Closing bug.